<?php

class ADDON_STATUSPEDIDOS extends ISC_ADDON
{
	public function __construct()
	{
		parent::__construct();

		$this->SetName(GetLang('StatusPedidoTitulo'));

		$this->SetImage('');

		$this->SetHelpText(GetLang('StatusPedidoHelp'));

		//FAZ COM QUE APAREÇA NO MENU "PEDIDOS"
		$this->RegisterMenuItem(array(
			'location'		=> 'mnuOrders',
			'icon'			=> 'status_icon.gif',
			'text'			=> GetLang('StatusPedidoTitulo'),
			'description'	=> GetLang('StatusPedidoDesc'),
			'id'			=> 'addon_status_pedidos'
		));
		
		$this->RegisterMenuItem(array(
			'location'	=> 'mnuSettings',
			'text'		=> GetLang('StatusPedidoTitulo'),
			'link'		=> 'index.php?ToDo=runAddon&addon='.$this->GetId(),
			'id'			=> 'addon_status_pedidos'

		));
	}

	public function SetCustomVars()
	{
	}

	public function Init()
	{
	}

	/* Página Principal - Lista os Status Disponíveis. */
	public function EntryPoint()
	{

		$query = "SELECT * FROM [|PREFIX|]order_status ORDER BY statusorder ASC";
		$result = $GLOBALS['ISC_CLASS_DB']->Query($query);

		echo '
			<div style="padding-top: 10px;"></div>
			<table width="100%" border="1" cellspacing="2" cellpadding="5">
			  <tr>
				<td colspan="4" align="center" style="font-size:14px; font-weight:bold;"><a href="index.php?ToDo=runAddon&addon='.$this->GetId().'&func=AddStatus">Adicionar novo Status</a></td>
			  </tr>
			  <tr>
				<td>&nbsp;</td>
				<td align="center"><strong>TÍTULO DO STATUS</strong></td>
				<td colspan="2" align="center"><strong>AÇÃO</strong></td>
			  </tr>
			  ';
			while($row = $GLOBALS['ISC_CLASS_DB']->Fetch($result)) { //Aqui começa o loop de repetição dos status
			echo '<tr>
				<td width="2%">&nbsp;</td>
				<td width="88%" align="center">'.$row['statusdesc'].'</td>
				<td width="5%" align="center"><a href="index.php?ToDo=runAddon&addon='.$this->GetId().'&func=EditaStatus&id='.$row['statusid'].'">Editar</a></td>
				<td width="5%" align="center"><a href="index.php?ToDo=runAddon&addon='.$this->GetId().'&func=DeleteStatus&id='.$row['statusid'].'">Excluir</a></td>
			</tr>';
			} //Aqui termina o loop
			echo '
			</table>
		'; 
	}
	
	/* Página Adicionar- Adicionar um Novo Status. */
	public function AddStatus()
	{
		$query = "SELECT * FROM [|PREFIX|]order_status ORDER BY statusorder DESC LIMIT 1";
		$result = $GLOBALS['ISC_CLASS_DB']->Query($query);
		$row = $GLOBALS['ISC_CLASS_DB']->Fetch($result);
		$num = $row['statusorder']+1;
		
	
		echo '
			<div id="intro">
			  <p><strong>Atenção:</strong><br />
			<strong>Título</strong> = Escreva o NOME do status. Este será o nome apresentado em seus pedidos e também na área do cliente, tal como os emails enviados. <br />
			  <strong>Nº Status</strong> = O Sistema irá sugerir um número. Recomendamos que mantenha-o como o sistema recomendar. Este número é a identificação única do Status. Repetí-lo poderá confundir a loja e consequentemente seus clientes. </p>
			</div>
			
			<form id="add" name="add" method="post" action="index.php?ToDo=runAddon&addon=addon_statuspedidos&func=AddStatus_ok">
			  <table width="769" border="0" align="center" cellpadding="5" cellspacing="5">
				<tr>
				  <td>Título: 
					<label for="titulo"></label>
				  <input name="titulo" type="text" id="titulo" size="50" maxlength="100" /></td>
				  <td>Nº Status: <label for="num"></label>
				  <input name="num" type="text" id="num" value="'.$num.'" size="10" maxlength="2" /></td>
				</tr>
				<tr>
				  <td colspan="2"><input type="submit" name="cadastrar" id="cadastrar" value="Cadastrar" /></td>
				</tr>
			  </table>
			</form>
		';
	}
	
	/* Página Editar - Edita um status existente. */
	public function EditaStatus()
	{
		$id = $_GET['id'];
	
		$query = "SELECT * FROM [|PREFIX|]order_status WHERE statusid = $id";
		$result = $GLOBALS['ISC_CLASS_DB']->Query($query);
		$row = $GLOBALS['ISC_CLASS_DB']->Fetch($result);
	
		echo '
			<div id="intro">
			  <p><strong>Atenção:</strong><br />
			<strong>Título</strong> = Escreva o NOME do status. Este será o nome apresentado em seus pedidos e também na área do cliente, tal como os emails enviados. <br />
			  <strong>Nº Status</strong> = O Sistema irá sugerir um número. Recomendamos que mantenha-o como o sistema recomendar. Este número é a identificação única do Status. Repetí-lo poderá confundir a loja e consequentemente seus clientes. </p>
			</div>
			
			<form id="add" name="add" method="post" action="index.php?ToDo=runAddon&addon=addon_statuspedidos&func=EditaStatus_ok">
			  <table width="769" border="0" align="center" cellpadding="5" cellspacing="5">
				<tr>
				  <td>Título: 
					<label for="titulo"></label>
				  <input name="titulo" type="text" value="'.$row['statusdesc'].'" id="titulo" size="50" maxlength="100" /></td>
				  <td>Nº Status: <label for="num"></label>
				  <input name="num" type="text" id="num" value="'.$row['statusorder'].'" size="10" maxlength="2" /></td>
				</tr>
				<tr>
				<input name="statusid" type="hidden" id="statusid" value="'.$id.'" />
				  <td colspan="2"><input type="submit" name="cadastrar" id="cadastrar" value="Atualizar" /></td>
				</tr>
			  </table>
			</form>
		';
	}
		
	public function AddStatus_ok(){
		$titulo = $_POST["titulo"];
		$num = $_POST["num"];
		
		$query = "INSERT INTO [|PREFIX|]order_status (statusid, statusdesc, statusorder) VALUES (null,'$titulo','$num')";
		$result = $GLOBALS['ISC_CLASS_DB']->Query($query);
		
		echo "<div id='intro' style='font-size: 14px; text-align:center;'><b>Dados Inseridos com Sucesso! Aguarde, retornando...</b></div>";
		echo '<META HTTP-EQUIV=Refresh CONTENT="3; URL=index.php?ToDo=runAddon&addon='.$this->GetId().'">';
	}
	
	public function EditaStatus_ok(){
		$id = $_POST["statusid"];
		$titulo = $_POST["titulo"];
		$num = $_POST["num"];
		
		$query = "UPDATE [|PREFIX|]order_status SET statusdesc='$titulo',statusorder='$num' WHERE statusid='$id'";
		$result = $GLOBALS['ISC_CLASS_DB']->Query($query);
		
		echo "<div id='intro' style='font-size: 14px; text-align:center; margin-top: 30px;'><b>Dados Atualizados com Sucesso! Aguarde, retornando...</b></div>";
		echo '<META HTTP-EQUIV=Refresh CONTENT="3; URL=index.php?ToDo=runAddon&addon='.$this->GetId().'">';
	}
	
	public function DeleteStatus(){
		$id = $_GET['id'];;
		
		$query = "DELETE FROM [|PREFIX|]order_status WHERE statusid='$id'";
		$result = $GLOBALS['ISC_CLASS_DB']->Query($query);
		
		echo "<div id='intro' style='font-size: 14px; text-align:center;'><b>Dados Excluídos com Sucesso! Aguarde, retornando...</b></div>";
		echo '<META HTTP-EQUIV=Refresh CONTENT="3; URL=index.php?ToDo=runAddon&addon='.$this->GetId().'">';
	}
	
}